> ## Documentation Index
> Fetch the complete documentation index at: https://pedirgasdocs.supergasbras.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1userssync



## OpenAPI

````yaml https://auth-ms.supergasbras.app/swagger/v1/swagger.json post /v1/users/sync
openapi: 3.0.1
info:
  title: CTech Auth
  description: Service responsible for handling Auth version 1.0
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /v1/users/sync:
    post:
      tags:
        - User
      parameters:
        - name: api-version
          in: query
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncUserCommand'
      responses:
        '202':
          description: Accepted
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '503':
          description: Service Unavailable
components:
  schemas:
    SyncUserCommand:
      type: object
      properties:
        batchLimit:
          type: integer
          format: int32
        recordingLimit:
          type: integer
          format: int32
        identifiers:
          type: array
          items:
            type: string
            format: uuid
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    Bearer:
      type: http
      description: JWT Authorization header using the Bearer scheme.
      scheme: Bearer
      bearerFormat: JWT

````